﻿Imports Infragistics.Win.UltraWinGrid
Imports System.ComponentModel

Public Class Test1
    Private Sub Test1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        cboAnalysts.AutoSuggestFilterMode = Infragistics.Win.AutoSuggestFilterMode.Contains
        cboAnalysts.AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend
        btnDoSomething.Enabled = False

        Dim typeList As New List(Of String)
        typeList.Add("Claim")
        typeList.Add("Damage")
        typeList.Add("Presentation")
        typeList.Add("Inspection Report")
        typeList.Add("Invoice")
        typeList.Add("ABF Letter")
        typeList.Add("Customer Letter")
        typeList.Add("Miscellaneous")
        typeList.Add("Other")
        cboAnalysts.DataSource = typeList

    End Sub

    Private Sub cboAnalysts_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cboAnalysts.TextChanged
        cboAnalysts.MaxLength = 0
        Dim ugRow As UltraGridRow = Nothing

        'if only on filter row is available
        If cboAnalysts.Rows.FilteredInNonGroupByRowCount = 1 Then
            'set that filter row to the selected row of the ultracombo cboAnalysts
            ugRow = cboAnalysts.Rows.GetFilteredInNonGroupByRows(0)
            cboAnalysts.Enabled = False
            cboAnalysts.SelectedRow = ugRow
            cboAnalysts.MaxLength = cboAnalysts.Text.Length
            cboAnalysts.Enabled = True
            cboAnalysts.Focus()
            cboAnalysts.SelectionStart = cboAnalysts.Text.Length
        End If
    End Sub
End Class